%define package freemind

Name:		wpkg-%{package}
Version:	1.0.1
Release:	3%{?dist}
Summary:	%{package} for WPKG on iPasserelle

Group:		System/Softwares
URL:		http://www.ipasserelle.com
Source0:	%{name}-%{version}.tar.gz
License:	misc

BuildRoot:	/var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch
BuildRequires:	unix2dos

Requires:	ipasserelle-gp
Requires:	wpkg-jre8

%description
%{package} for WPKG on iPasserelle

%prep
%setup -q -n %{name}-%{version}

%build
unix2dos packages/*

%install
/bin/rm -rf %{buildroot}
mkdir -p %{buildroot}/home/e-smith/files/shares/wpkg/files/packages
mkdir -p %{buildroot}/home/e-smith/files/shares/wpkg/files/softwares/%{package}
cp -r softwares/* %{buildroot}/home/e-smith/files/shares/wpkg/files/softwares/%{package}/
cp -r packages/* %{buildroot}/home/e-smith/files/shares/wpkg/files/packages/

%clean
/bin/rm -rf %{buildroot}

%files
%defattr(-,root,root)
/home/e-smith/files/shares/wpkg/files/

%changelog
* Mon Jan 22 2018 Daniel Berteaud <daniel@firewall-services.com> 1.0.1-3
- Also adapt dependency in spec file (daniel@firewall-services.com)

* Mon Jan 22 2018 Daniel Berteaud <daniel@firewall-services.com> 1.0.1-2
- new package built with tito

* Wed Sep 3 2014 Daniel Berteaud <daniel@firewall-services.com> - 1.0.1-1
- Update to 1.0.1

* Tue Oct 29 2013 Daniel Berteaud <daniel@firewall-services.com> - 1.0.0-1
- update to FreeMind 1.0.0

* Tue Nov 13 2012 Daniel Berteaud <daniel@firewall-services.com> - 0.9.0-2
- Depends on JRE instead of JRE6

* Fri Oct 5 2012 Daniel Berteaud <daniel@firewall-services.com> - 0.9.0-1
- initial release with Freemind 0.9.0

